Subject: bug#47335: closed (Re: bug#47335: Hide GHC not used for building Was: xmonad fails to recompile on guix system)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Sep 2021 07:43:02 +0000

Your bug report

#47335: xmonad fails to recompile on guix system

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47335: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47335
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47335: Hide GHC not used for building Was: xmonad fails to recompile on guix system
From: Lars-Dominik Braun <[email-masked]>
To: raingloom <[email-masked]>
Cc: Charlie Ruppe <[email-masked]>, [email-masked]
Date: Wed, 15 Sep 2021 09:42:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

> I'd be very much in favor of the latter, or maybe rename it to ghc-next.
> I have some profiles ghc pinned to a version and upgrading those is
> always a mess because Guix tries to build the old version from source
> instead of using the next version.
I renamed [email-masked] to ghc-next in commit
39b43d0d0428474a1d0bf58779d0135163b9c6e3.

Cheers,
Lars

Subject: xmonad fails to recompile on guix system
From: Charlie Ruppe <[email-masked]>
To: [email-masked]
Date: Tue, 23 Mar 2021 00:13:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: guix
Version: 1.2.0-17.ec7fb6

I am trying to recompile xmonad with a fairly simple xmonad.hs
The package itself builds, installs, and runs correctly, but it throws
errors when recompiling my configuration. Configuration is very short but
is pasted here: http://paste.debian.net/1190543/

The same error is thrown when attempting to compile xmonad with ghc
directly, and inside and out of xmonad's build environment.

The following is the error that is printed when attempting to recompile
xmonad from within the build environment for xmonad within the directory
~/.xmonad/ containing xmonad.hs

[env]$ xmonad --recompile
XMonad will use ghc to recompile, because "/home/fever/.xmonad/build" does
not exist.
Error detected while loading xmonad configuration file:
/home/fever/.xmonad/xmonad.hs

xmonad.hs:1:1: error:
    Could not find module ‘XMonad’
    Perhaps you meant DsMonad (needs flag -package-key ghc-8.6.5)
    Use -v to see a list of the files searched for.
  |
1 | import XMonad
  | ^^^^^^^^^^^^^

xmonad.hs:2:1: error:
    Could not find module ‘XMonad.Config.Desktop’
    Use -v to see a list of the files searched for.
  |
2 | import XMonad.Config.Desktop
  | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Please check the file for errors.

xmonad: xmessage: executeFile: does not exist (No such file or directory)